#include "wx/wx.h"
#include "wx/button.h"
#include "wx/calctrl.h"
#include "wx/timectrl.h"
#include "rtc_controller.h"
#include <string>

class MainFrame: public wxFrame
{
public:
	MainFrame();
	virtual ~MainFrame();
	void OnClose(wxCloseEvent& event);
	void button_pressed(wxCommandEvent &event);

private:
	wxCalendarCtrlBase *calendar;
	wxPanel *panel;
	wxPanel *calendar_panel;
	wxPanel *time_panel;
	wxPanel *button_panel;
	wxButton *set_button;
	wxButton *get_button;
	wxTimePickerCtrl *time_picker_ctrl;
	RTCController *rtc_controller;
	DECLARE_EVENT_TABLE()
};

