#include "wx/wx.h"
#include "wx/button.h"
#include "wx/filesys.h"
#include "wx/choice.h"
#include "wx/textctrl.h"
#include "wx/process.h"
#include <string>

class MainFrame: public wxFrame
{
public:
	MainFrame();
	virtual ~MainFrame();
	void OnClose(wxCloseEvent& event);
	void button_pressed(wxCommandEvent &event);
	void choice_selected(wxCommandEvent &event);
	void end_process(wxProcessEvent &event);

private:
	wxPanel *panel;
	wxPanel *setting_panel;
	wxPanel *button_panel;
	wxButton *start_button;
	wxButton *stop_button;
	wxChoice *video_dev_choice;
	wxTextCtrl *cmd_text_ctrl;
	wxProcess *cmd_process;
	long gst_pid;
	DECLARE_EVENT_TABLE()
};
