#include "led_sw_tester.h"
#include <iostream>

wxDECLARE_APP(MyApp);

bool MyApp::OnInit()
{
	if (!wxApp::OnInit())
		return false;
	wxImage::AddHandler(new wxPNGHandler);
	this->frame = new MainFrame;
	this->frame->Show();
	this->frame->Maximize();
	Bind(wxEVT_KEY_DOWN, &MyApp::KeyEventHandler, this);
	Bind(wxEVT_KEY_UP, &MyApp::KeyEventHandler, this);

	return true;
}

void MyApp::KeyEventHandler(wxKeyEvent& event)
{
	if (event.GetKeyCode() == WXK_LAUNCH_1) { /* XF86Launch1 */
		if (event.GetEventType() == wxEVT_KEY_DOWN)
			this->frame->enter_key_pressed();
		if (event.GetEventType() == wxEVT_KEY_UP)
			this->frame->enter_key_released();
	}
}

int MyApp::OnExit()
{
	return 0;
}

wxIMPLEMENT_APP(MyApp);
